/*
	Lcd functions

*/

#include "LCD.h"

void Delay1mS(void);
void Delay15mS(void);
void Delay5mS(void);
void Delay200uS(void);
void PulseE(void);
void SendCommand1(byte);
void SendCharacter(char);

byte Swap(byte);

//Sends a byte command to the HD44780 display.
void SendCommand(byte command)
{



	Delay15mS();
	command = 0;

}


//Swaps nibbles of byte
byte Swap(byte command)
{
	byte temp = command <<4;
	temp |= command >>4;

	return temp;
	
}

//Initialises the display
void OpenLCD(void)
{

	
	//Make port outputs
	LCDPORT = 0;
	LCDTRIS = 0;

	//Wait for display
	Delay15mS();
	
	//Send 0x03
	SendCommand1(0x20);
	SendCommand1(0x28);
	SendCommand1(0x06);
	SendCommand1(0x0c);
	SendCommand1(0x01);
	
	SendCharacter('a');
	
	


	
}

void SendCommand1(byte command)
{



	LCDTRIS &= 0x0F;
	LCDPORT &= 0x0F;

	//Swap nibbles
	
	LCDPORT |= command;
	//LCDPORT |= command & 0xF0;
	PulseE();
	
	Delay15mS();
	
}



void SendCharacter(char character)
{
	LCDPORT =0;
	LCD_RS  =1;
	LCDPORT |= character & 0xF0; 
	PulseE();
	LCDPORT |= Swap(character) & 0xF0;
	PulseE();
	Delay15mS();
	
}




void PulseE(void)
{
	LCD_E = 1;
	Delay200uS();
	LCD_E = 0;
	Delay1mS();
}





