/*

Pin definitions and macros
Chris Dec 07

*/

#include <P18F4550.h>

//Power check pins
#define PIN_SELFPOWER PORTBbits.RB5
#define PIN_USBPOWER PORTDbits.RD3

//Switch pins
#define PIN_SWITCH1 PORTBbits.RB4
#define PIN_SWITCH2 PORTBbits.RB3


//LED pins
#define PIN_LED1 LATBbits.LATB2
#define PIN_LED2 LATBbits.LATB1
#define PIN_ONLED LATBbits.LATB0

//Piezo pins
#define PIN_PIEZO1 LATCbits.LATC0
#define PIN_PIEZO2 LATCbits.LATC1
//LM35
#define PIN_LM35 PORTEbits.RE1

//LCD pins - bit 3 is not used for LCD and should not be manipulated
#define PIN_BACKLIGHT LATCbits.LATC6
#define LCDPORT PORTD
#define LCDTRIS TRISD
#define LCD_RS PORTDbits.RD0
#define LCD_RW PORTDbits.RD1
#define LCD_E PORTDbits.RD2


//Macros
#define ScreenOn() PIN_BACKLIGHT = 1;
#define ScreenOff() PIN_BACKLIGHT = 0;

 


/*
SELFPOWERED = B5
USBPOWERED = D3
SWITCH1 = B4
SWITCH2	= B3
LED1 = B2
LED2 = B1
ONLED = B0
LM35 = E1/AN6
C0 and c1 piezo
LCD.

D0 = rs
D1 = rW
D2 = e
D4 - D7 = DB4 -DB7
C6 = BACKLIGHT
*/
